{% extends "styleguide2/base.html" %}
{% load wagtailcore_tags wagtailimages_tags shared_filters people_filters district_people_filters %}

{% block content %}

  {% block navbar %}
    {% include 'styleguide2/includes/organisms/layout/navbar.html' with selected_item=page.get_menu_title %}
  {% endblock %}

  <div class="__js-root">
    <ui-view-provider
      :initial="{
        {% for content_item in page.content %}
          {% if content_item.block_type == "octopus_group" or content_item.block_type == "octopus_team" or content_item.block_type == "people_group" or content_item.block_type == "team_group" %}
            '{{ content_item.value.slug }}-{{ forloop.counter }}': {% if page.content|is_first_people_type:forloop %}false{% else %}true{% endif %},
          {% endif %}
        {% endfor %}
      }"
      :sync-location="true"
      v-slot="{ isCurrentView, toggleView }"
    >
      {% include 'styleguide2/includes/organisms/header/people_header.html' with content=page.content title=page.title description_column_1=page.perex_col_1 description_column_2=page.perex_col_2 %}

      <main role="main" class="mb-20">
        <div class="container--wide">
          <div
            class="
              flex flex-wrap justify-center gap-4
              xl:justify-start
            "
          >
            <div class="grid grid-cols-1 gap-4 md:grid-cols-2 w-full">
              {% for block in page.content %}
                {% if block.block_type == "octopus_group" or block.block_type == "octopus_team" %}
                  <template v-if="isCurrentView('{{ block.value.slug }}-{{ forloop.counter }}')">
                    {% with block|get_block_octopus_person_list as person_list %}
                      {% if person_list|length %}
                        {% for person_page in person_list %}
                          {% image person_page.specific.get_profile_image fill-480x480 as profile_image %}

                          {% include 'styleguide2/includes/molecules/contact/contact_person_large_box.html' with image=profile_image name=person_page.title function=person_page.position telephone=person_page.phone mail=person_page.email url=person_page.url %}
                        {% endfor %}
                      {% endif %}
                    {% endwith %}
                  </template>
                {% endif %}
              {% endfor %}
            </div>

            <div class="grid grid-cols-1 gap-4 md:grid-cols-2 w-full">
              {% for block in page.content %}
                {% if block.block_type == "people_group" %}
                  <template v-if="isCurrentView('{{ block.value.slug }}-{{ forloop.counter }}')">
                    {% if block.value.person_list|length %}
                      {% for person_page in block.value.person_list %}
                        {% with person_page.specific as person_page %}
                          {% image person_page.get_profile_image fill-480x480 as profile_image %}

                          {% include 'styleguide2/includes/molecules/contact/contact_person_large_box.html' with image=profile_image name=person_page.title function=person_page.position telephone=person_page.phone mail=person_page.email url=person_page.url %}
                        {% endwith %}
                      {% endfor %}
                    {% endif %}

                    {% if block.value.person_list_with_custom_positions|length %}
                      {% for person in block.value.person_list_with_custom_positions %}
                        {% with person.page as person_page %}
                          {% with person_page.specific as person_page %}
                            {% image person_page.get_profile_image fill-480x480 as profile_image %}

                            {% firstof person.position person_page.position as position %}

                            {% include 'styleguide2/includes/molecules/contact/contact_person_large_box.html' with image=profile_image name=person_page.title function=position telephone=person_page.phone mail=person_page.email url=person_page.url %}
                          {% endwith %}
                        {% endwith %}
                      {% endfor %}
                    {% endif %}
                  </template>
                {% endif %}
              {% endfor %}
            </div>

            {% for block in page.content %}
              {% if block.block_type == "team_group" %}
                <template v-if="isCurrentView('{{ block.value.slug }}-{{ forloop.counter }}')">
                  {% for team in block.value.team_list %}

                    {% if team.headline %}
                      <h2 class="head-6xl mt-5 mb-5">{{ team.headline }}</h2>
                    {% endif %}

                    <ul class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 content-stretch gap-8">
                      {% for card in team.card_items %}
                        {% image card.image max-512x512 as card_image %}
                        {% firstof card.page.url card.link as card_url %}

                        {% include 'styleguide2/includes/molecules/boxes/card_box.html' with image=card_image header=card.title content=card.text url=card_url description_classes='!bg-grey-180' %}
                      {% endfor %}
                    </ul>
                  {% endfor %}
                </template>
              {% endif %}
            {% endfor %}
          </div>

          {% for block in page.content %}
            {% if block.block_type != "octopus_group" and block.block_type != "octopus_team" and block.block_type != "people_group" and block.block_type != "team_group" %}
              {% include_block block %}
            {% endif %}
          {% endfor %}
        </div>
      </main>
    </ui-view-provider>
  </div>

  {% block newsletter %}
    {% include 'styleguide2/includes/organisms/main_section/newsletter_section.html' %}
  {% endblock %}

{% endblock content %}
